Skip to main content
GET
/
v1
/
limits
List Limits
curl --request GET \
  --url https://tracer.lerian.io/v1/limits \
  --header 'Content-Type: <content-type>' \
  --header 'X-API-Key: <x-api-key>'
{
  "limits": [
    {
      "limitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "limitType": "DAILY",
      "maxAmount": 2,
      "currency": "<string>",
      "scopes": [
        {
          "segmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "portfolioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "transactionType": "CARD",
          "subType": "<string>"
        }
      ],
      "status": "DRAFT",
      "resetAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Headers

Content-Type
string
required

The type of media of the resource. Must be application/json.

X-API-Key
string
required

The API Key for authentication. This header is required for all endpoints except health checks.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Query Parameters

limit
integer
default:10

The maximum number of items to include in the response. Default: 10, Max: 100

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from previous response.

status
enum<string>

Filter by status (DRAFT, ACTIVE, INACTIVE). DELETED limits are not listable.

Available options:
DRAFT,
ACTIVE,
INACTIVE
limitType
enum<string>

Filter by limit type.

Available options:
DAILY,
MONTHLY,
PER_TRANSACTION

Response

Indicates that the request was successful and the response contains the expected data.

Paginated list of spending limits.

limits
object[]

List of limit records.

hasMore
boolean

Whether there are more results available.

nextCursor
string | null

Cursor for fetching the next page. Null if no more results.